Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.Signing.AuthenticodeSigner Class Referencesealed
Inheritance diagram for Zwipe.Build.Tools.Signing.AuthenticodeSigner:
[legend]
Collaboration diagram for Zwipe.Build.Tools.Signing.AuthenticodeSigner:
[legend]

## Public Member Functions
| AuthenticodeSigner (string signToolPath, string pfxPath, string pfxPassword, string digestAlgorithm, string timestampUrl)
| AuthenticodeSigner (string signToolPath, string certificatePath, string cryptographicProvider, string container, string containerPassword, string digestAlgorithm, string timestampUrl)
| AuthenticodeSigner (string signToolPath, ISignProvider provider, IDictionary< string, string > parameters)
| AuthenticodeSigner (string signToolPath, ISignProvider provider, ISignConfigurationProvider parameters)
| AuthenticodeSigner (string signToolPath, ISignProvider provider, string digestAlgorithm, string timestampUrl)
override string[] | Sign (string filePath)
Public Member Functions inherited from Zwipe.Build.Tools.Signing.Signer
string[] | Sign (string filePath)

## Static Private Member Functions
static string | GetCommandLineParameters (ISignProvider provider, string digestAlgorithm, string timestampUrl, string path)
static string | SignFile (string signToolPath, ISignProvider provider, string digestAlgorithm, string timestampUrl, string filePath)

## Private Attributes
readonly string | _signToolPath
readonly ISignProvider | _signProvider
readonly string | _digestAlgorithm
readonly string | _timestampUrl

## Constructor & Destructor Documentation

## ◆ AuthenticodeSigner() [1/5]

Zwipe.Build.Tools.Signing.AuthenticodeSigner.AuthenticodeSigner | ( | string | signToolPath,
|  | string | pfxPath,
|  | string | pfxPassword,
|  | string | digestAlgorithm,
|  | string | timestampUrl )

## ◆ AuthenticodeSigner() [2/5]

Zwipe.Build.Tools.Signing.AuthenticodeSigner.AuthenticodeSigner | ( | string | signToolPath,
|  | string | certificatePath,
|  | string | cryptographicProvider,
|  | string | container,
|  | string | containerPassword,
|  | string | digestAlgorithm,
|  | string | timestampUrl )

## ◆ AuthenticodeSigner() [3/5]

Zwipe.Build.Tools.Signing.AuthenticodeSigner.AuthenticodeSigner | ( | string | signToolPath,
|  | ISignProvider | provider,
|  | IDictionary< string, string > | parameters )

## ◆ AuthenticodeSigner() [4/5]

Zwipe.Build.Tools.Signing.AuthenticodeSigner.AuthenticodeSigner | ( | string | signToolPath,
|  | ISignProvider | provider,
|  | ISignConfigurationProvider | parameters )

## ◆ AuthenticodeSigner() [5/5]

Zwipe.Build.Tools.Signing.AuthenticodeSigner.AuthenticodeSigner | ( | string | signToolPath,
|  | ISignProvider | provider,
|  | string | digestAlgorithm,
|  | string | timestampUrl )

## Member Function Documentation

## ◆ GetCommandLineParameters()

string Zwipe.Build.Tools.Signing.AuthenticodeSigner.GetCommandLineParameters | ( | ISignProvider | provider,
|  | string | digestAlgorithm,
|  | string | timestampUrl,
|  | string | path )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Sign()

override string[] Zwipe.Build.Tools.Signing.AuthenticodeSigner.Sign | ( | string | filePath | ) |

Here is the call graph for this function:

## ◆ SignFile()

string Zwipe.Build.Tools.Signing.AuthenticodeSigner.SignFile | ( | string | signToolPath,
|  | ISignProvider | provider,
|  | string | digestAlgorithm,
|  | string | timestampUrl,
|  | string | filePath )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ _digestAlgorithm

readonly string Zwipe.Build.Tools.Signing.AuthenticodeSigner._digestAlgorithm
| private

## ◆ _signProvider

readonly ISignProvider Zwipe.Build.Tools.Signing.AuthenticodeSigner._signProvider
| private

## ◆ _signToolPath

readonly string Zwipe.Build.Tools.Signing.AuthenticodeSigner._signToolPath
| private

## ◆ _timestampUrl

readonly string Zwipe.Build.Tools.Signing.AuthenticodeSigner._timestampUrl
| private

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/Signing/AuthenticodeSigner.cs